|  | Home · All Classes · Modules

# QPyDesignerTaskMenuExtension Class Reference
[QtDesigner module]

Inherits QObject and QDesignerTaskMenuExtension.

### Methods

- __init__ (self, QObject parent)

## Detailed Description

The QPyDesignerTaskMenuExtension class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to add custom entries to Qt Designer's task menu you should implement a Python class derived from QPyDesignerTaskMenuExtension rather than one derived from QObject and QDesignerTaskMenuExtension.

## Method Documentation

### QPyDesignerTaskMenuExtension.__init__ (self, QObject parent)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.